/*

  Sound Sensor Microphone Brick (Analog)

  Parts required:
  - Arduino Board
  - Sound Sensor Microphone Brick

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 7 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

const int Sound = A0;                   // set variable Sound to Analog Port A0
int val ;                               // define variable val

void setup ()
{
  Serial.begin(9600);                   // begin Serial Monitor communication
  pinMode (Sound, INPUT);               // set Analog Port A0 to an INPUT
}

void loop ()
{
  val = analogRead(Sound);              // read value for Analog Port A0 and store in val
  Serial.println(val);                  // print text to Serial Monitor
  delay(200);                           // wait 200ms
}
