/*

  Sound Sensor Microphone Brick (Digital)

  Parts required:
  - Arduino Board
  - Sound Sensor Microphone Brick

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 7 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

const int Sound = 7;                    // set variable Sound to Digital Port 7
int val ;                               // define variable val

void setup ()
{
  Serial.begin(9600);                   // begin Serial Monitor communication
  pinMode (Sound, INPUT);               // set Digital Pin 7 to an INPUT
}

void loop ()
{
  val = digitalRead(Sound);             // read value for Digital Pin 7 and store in val

  if (val == HIGH)                      // if val is HIGH do
  {
    Serial.println("Sound...");         // print to Serial Monitor
    delay(100);
  }
  else                                  // else
  {
    Serial.println("Silence...");       // print to Serial Monitor
    delay(100);
  }
}
